picard.analysis

## Class CollectWgsMetricsFromSampledSites

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.CollectWgsMetrics
    - - picard.analysis.CollectWgsMetricsFromSampledSites

- Deprecated.

      @Deprecated
      public class CollectWgsMetricsFromSampledSites
      extends CollectWgsMetrics

  Computes a number of metrics that are useful for evaluating coverage and performance of whole genome sequencing experiments, but only at a set of sampled positions. It is important that the sampled positions be chosen so that they are spread out at least further than a read's length apart; otherwise, you run the risk of double-counting reads in the metrics. This tool is deprecated; please use CollectWgsMetrics instead.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollectWgsMetricsFromSampledSites.SampledWgsMetrics` Deprecated.

    - ### Nested classes/interfaces inherited from class picard.analysis.CollectWgsMetrics

      `CollectWgsMetrics.WgsMetrics, CollectWgsMetrics.WgsMetricsCollector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `INTERVALS` Deprecated.

    - ### Fields inherited from class picard.analysis.CollectWgsMetrics

      `COUNT_UNPAIRED, COVERAGE_CAP, INCLUDE_BQ_HISTOGRAM, INPUT, LOCUS_ACCUMULATION_CAP, MINIMUM_BASE_QUALITY, MINIMUM_MAPPING_QUALITY, OUTPUT, REFERENCE_SEQUENCE, SAMPLE_SIZE, STOP_AFTER`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectWgsMetricsFromSampledSites()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---

    `protected CollectWgsMetrics.WgsMetrics`

    `generateWgsMetrics(htsjdk.samtools.util.IntervalList intervals, htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram, htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram, double pctExcludedByMapq, double pctExcludedByDupes, double pctExcludedByPairing, double pctExcludedByBaseq, double pctExcludedByOverlap, double pctExcludedByCapping, double pctTotal, int coverageCap, htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram, int sampleSize)`
    Deprecated.

    `protected long` | `getBasesExcludedBy(CountingFilter filter)` Deprecated. By design we want to count just those bases at the positions we care about, not across the entire read.
    `protected htsjdk.samtools.util.SamLocusIterator` | `getLocusIterator(htsjdk.samtools.SamReader in)` Deprecated.
    `static void` | `main(String[] args)` Deprecated.

    - ### Methods inherited from class picard.analysis.CollectWgsMetrics

      `doWork, getCollector, getIntervalsToExamine, getSamFileHeader, getSamReader`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTERVALS

          @Option(doc="An interval list file that contains the locations of the positions to assess.",
                  optional=false)
          public File INTERVALS

      Deprecated.

  - ### Constructor Detail

    - #### CollectWgsMetricsFromSampledSites

          public CollectWgsMetricsFromSampledSites()

      Deprecated.

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Deprecated.

    - #### getLocusIterator

          protected htsjdk.samtools.util.SamLocusIterator getLocusIterator(htsjdk.samtools.SamReader in)

      Deprecated.
      Overrides:
        `getLocusIterator` in class `CollectWgsMetrics`

    - #### getBasesExcludedBy

          protected long getBasesExcludedBy(CountingFilter filter)

      Deprecated.
      By design we want to count just those bases at the positions we care about, not across the entire read. Therefore, we call filter.getFilteredRecords() so that only the bases in the pileup at a given position are included in the calculations (with filter.getFilteredBases() we would be including other bases in the read too).
      Overrides:
        `getBasesExcludedBy` in class `CollectWgsMetrics`

    - #### generateWgsMetrics

          protected CollectWgsMetrics.WgsMetrics generateWgsMetrics(htsjdk.samtools.util.IntervalList intervals,
                                                                    htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram,
                                                                    htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram,
                                                                    double pctExcludedByMapq,
                                                                    double pctExcludedByDupes,
                                                                    double pctExcludedByPairing,
                                                                    double pctExcludedByBaseq,
                                                                    double pctExcludedByOverlap,
                                                                    double pctExcludedByCapping,
                                                                    double pctTotal,
                                                                    int coverageCap,
                                                                    htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram,
                                                                    int sampleSize)

      Deprecated.
      Overrides:
        `generateWgsMetrics` in class `CollectWgsMetrics`